Bug 836154 - should use lower pre-gain
should use lower pre-gain
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio-equalizer (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 04:56 EDT by Karel Volný
Modified: 2013-07-31 20:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:36:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-06-28 04:56:58 EDT
Description of problem:
The equalizer offsets the volume too high which leads to distortion for any band that is set above 0 dB in the equaliser (if the sound source is loud enough in that band).

Version-Release number of selected component (if applicable):
pulseaudio-equalizer-2.7-9.fc17.noarch

How reproducible:
always

Steps to Reproduce:
0. use some good soundcard, amplifier and loudspeakers/headphones to eliminate possible problems caused by the low quality of hardware
1. run pulseaudio-equalizer-gtk
2. set some bands amplification above zero - for example +10 dB on 50 Hz and 100 Hz bands
3. play some music you know to be distinct in those bands - in the bass example, you may use e.g. Ace of Base - The Sign (http://www.youtube.com/watch?v=iqu132vTl5Y)

  
Actual results:
the sound is distorted

Expected results:
the sound is clean

Additional info:
I wonder if this is the same issue as bug #711152 ... however,
1) I wouldn't describe it like "Sound is distorted beyond comprehension" - it's more like a simple overdrive
2) if I understand that issue correctly, the distortion happens always when using the equaliser; for me, it happens only if I pull the sliders above zero, when set to zero or below, I cannot hear any distortion
Comment 1 Karel Volný 2012-06-28 05:53:33 EDT
looking into console output, I see there is:


Transferring current mute (0) & volume (50%) to LADSPA sink (ladspa_output.mbeq_1197.mbeq)...                                                                                                                  
Setting ALSA sink (alsa_output.pci-0000_00_1b.0.analog-stereo) preamp (1.0x)...                                                                                                                                
Setting LADSPA sink (ladspa_output.mbeq_1197.mbeq) as default sink...                                                                                                                                          
Moving active PulseAudio clients to LADSPA sink (ladspa_output.mbeq_1197.mbeq)...



I've tried to modify the config file ~/.pulse/equalizerrc and set the fourth line, which seems to correspond to the preamp value, to 0.01, then to -10, and it doesn't have any effect on the volume

so it looks like the problem is here, that it a) doesn't get applied b) the default value is nonsense, it should be less than 1 to make room for the corrections


note, I see that LADSPA mbeq_1197 is used ... if it was pure ALSA solution then another plugin amp_1181 would be chained ... don't know how with pulseaudio though ...
Comment 2 Hicham HAOUARI 2012-06-28 07:43:49 EDT
Thanks Karel for reporting this bug.

I disabled preamp back at bug #639604.

You can try to rebuild it without the patch and see if it solves your problem.

For reference the patch is :

http://pkgs.fedoraproject.org/gitweb/?p=pulseaudio-equalizer.git;a=blob;f=pulseaudio-equalizer-2.7-remove-preamp.patch;h=5a1dcc32aedeed8a36a271b1b49bbbc153a3f90e;hb=HEAD
Comment 3 Karel Volný 2012-06-29 04:36:14 EDT
(In reply to comment #2)
> You can try to rebuild it without the patch and see if it solves your
> problem.

unfortunately not, pulling the "preamp" slider just messes with the main volume ... hm, I see you mention this behaviour in bug 639604 comment 2
Comment 4 Fedora End Of Life 2013-07-03 18:36:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 20:36:33 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.